0

I run Fedora on one of my PC's and for about 5 days my package manager, DNF, has had this persistent message:

dnf check-update

Obsoleting Packages
julietaula-montserrat-fonts.noarch                                           1:6.002-1.fc25                                       @updates
    julietaula-montserrat-fonts.noarch                                       1:6.002-1.fc25                                       @updates
julietaula-montserrat-fonts.noarch                                           1:6.002-1.fc25                                       updates 
    julietaula-montserrat-fonts.noarch                                       1:6.002-1.fc25                                       @updates

What is the correct way to deal with 'obsoleting packages' so that my package manager is clear of issues?

6
  • Not an issue. Asking for information dnf check-update and you get answers. The legit package julietaula-montserrat-fonts was updated to version 6.002-1.fc25 ten days ago. May 26, 2017 at 4:56
  • I'm not following you. If it's not an issue then why has my package manager been displaying it for a few days. Do you expect it to go away?
    – bitofagoob
    May 26, 2017 at 4:58
  • What's wrong with running dnf upgrade?
    – rickhg12hs
    May 26, 2017 at 5:33
  • dnf upgrade doesn't remove the message. That's what's wrong with dnf upgrade (in this instance).
    – bitofagoob
    May 26, 2017 at 14:50
  • dnf check-upgrade is telling you that there is a pending update which will cause that obsolete package to be removed. Are you saying that after doing a dnf upgrade you still get that message? Did the upgrade give any errors?
    – mattdm
    May 26, 2017 at 17:54

1 Answer 1

0

So today I got this output from DNF when running dnf check-update:

Fedora 25 - x86_64 - Updates
4.6 MB/s | 23 MB 00:05 Last metadata expiration check: 0:00:08 ago on Sat May 27 06:54:17 2017.

dhcp-client.x86_64
12:4.3.5-2.fc25 updates dhcp-common.noarch
12:4.3.5-2.fc25 updates dhcp-libs.x86_64
12:4.3.5-2.fc25 updates gtk-update-icon-cache.x86_64
3.22.15-2.fc25 updates gtk3.x86_64
3.22.15-2.fc25 updates julietaula-montserrat-fonts.noarch <-----Package is there

1:6.002-2.fc25 updates libinput.x86_64
1.6.3-5.fc25 updates libsmbclient.x86_64
2:4.5.10-0.fc25 updates libwbclient.x86_64
2:4.5.10-0.fc25 updates oxygen-icon-theme.noarch
1:5.34.0-1.fc25 updates p11-kit.i686
0.23.2-4.fc25 updates p11-kit.x86_64
0.23.2-4.fc25 updates p11-kit-trust.x86_64
0.23.2-4.fc25 updates samba-client.x86_64
2:4.5.10-0.fc25 updates samba-client-libs.x86_64
2:4.5.10-0.fc25 updates samba-common.noarch
2:4.5.10-0.fc25 updates samba-common-libs.x86_64
2:4.5.10-0.fc25 updates vte-profile.x86_64
0.46.2-1.fc25 updates vte291.x86_64
0.46.2-1.fc25 updates Obsoleting Packages julietaula-montserrat-fonts.noarch
1:6.002-1.fc25 @updates julietaula-montserrat-fonts.noarch 1:6.002-1.fc25 @updates julietaula-montserrat-fonts.noarch
1:6.002-2.fc25 updates julietaula-montserrat-fonts.noarch 1:6.002-1.fc25 @updates

This is after a week with the 'julietaula obsoleting package' message appearing. I then ran dnf update and the package was updated and I no longer receive the message about obsoleting.

It took a while but DNF sorted itself out automatically.

Not the answer you're looking for? Browse other questions tagged .